export interface BaseShiftInfoVO {
  /**
   * 主键标识
   */
  shiftId: string | number;

  /**
   * 租户编号
   */
  tenantId: string | number;

  /**
   * 班次编号
   */
  shiftCode: string;

  /**
   * 班次名称
   */
  shiftName: string;

  /**
   * 开始时间
   */
  startTime: string;

  /**
   * 开始跨天标识（1是 0否）
   */
  startCrossFlag: string;

  /**
   * 结束时间
   */
  endTime: string;

  /**
   * 结束跨天标识（1是 0否）
   */
  endCrossFlag: string;

  /**
   * 标准工作时长（秒）
   */
  workHour: number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 创建部门
   */
  createDept: number;

  /**
   * 创建人
   */
  createBy: number;

  /**
   * 创建时间
   */
  createTime: string;

  /**
   * 更新人
   */
  updateBy: number;

  /**
   * 更新时间
   */
  updateTime: string;

}

export interface BaseShiftInfoForm extends BaseEntity {
  /**
   * 主键标识
   */
  shiftId?: string | number;

  /**
   * 租户编号
   */
  tenantId?: string | number;

  /**
   * 班次编号
   */
  shiftCode?: string;

  /**
   * 班次名称
   */
  shiftName?: string;

  /**
   * 开始时间
   */
  startTime?: string;

  /**
   * 开始跨天标识（1是 0否）
   */
  startCrossFlag?: string;

  /**
   * 结束时间
   */
  endTime?: string;

  /**
   * 结束跨天标识（1是 0否）
   */
  endCrossFlag?: string;

  /**
   * 标准工作时长（秒）
   */
  workHour?: number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 创建部门
   */
  createDept?: number;

  /**
   * 创建人
   */
  createBy?: number;

  /**
   * 创建时间
   */
  createTime?: string;

  /**
   * 更新人
   */
  updateBy?: number;

  /**
   * 更新时间
   */
  updateTime?: string;


  productionTimeDays?: number;
  productionTimeHours?: number;
  productionTimeMinutes?: number;


}

export interface BaseShiftInfoQuery extends PageQuery {

  /**
   * 主键标识
   */
  shiftId?: string | number;

  /**
   * 租户编号
   */
  tenantId?: string | number;

  /**
   * 班次编号
   */
  shiftCode?: string;

  /**
   * 班次名称
   */
  shiftName?: string;

  /**
   * 开始时间
   */
  startTime?: string;

  /**
   * 开始跨天标识（1是 0否）
   */
  startCrossFlag?: string;

  /**
   * 结束时间
   */
  endTime?: string;

  /**
   * 结束跨天标识（1是 0否）
   */
  endCrossFlag?: string;

  /**
   * 标准工作时长（秒）
   */
  workHour?: number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 创建部门
   */
  createDept?: number;

  /**
   * 创建人
   */
  createBy?: number;

  /**
   * 创建时间
   */
  createTime?: string;

  /**
   * 更新人
   */
  updateBy?: number;

  /**
   * 更新时间
   */
  updateTime?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



