export interface OrderInfoVO {
  /**
   * 主键标识
   */
  productOrderId: string | number;

  /**
   * 订单编号
   */
  orderCode: string;

  /**
   * 销售订单ID
   */
  saleOrderId: string | number;

  /**
   * 项目编号
   */
  projectNo: string;

  /**
   * 订单类型（1外部销售 2对内生产)
   */
  orderType: string;

  /**
   * 物料ID
   */
  materialId: string | number;

  /**
   * 物料BOM_ID;默认选择最新的正常状态的bom，可修改
   */
  materialBomId: string | number;

  /**
   * 派工类型(1产线 2工艺路线 3工序)
   */
  dispatchType: string;

  /**
   * 派工ID;（派工类型为产线关联产线主键，派工类型为工艺路线关联工艺路线主键）
   */
  dispatchId: string | number;

  /**
   * 销售数量;销售订单的销售数量，如果无订单则需要输入
   */
  saleAmount: number;

  /**
   * 计划交货日期
   */
  planDeliveryDate: string;

  /**
   * 计划数量
   */
  planAmount: number;

  /**
   * 已派工数量;派工类型是工艺路线的每个工位派工数量相同，派工类型是产线的派工数量是所有工位累加的
   */
  dispatchAmount: number;

  /**
   * 完成数量
   */
  completeAmount: number;

  /**
   * 发布时间
   */
  releaseTime: string;

  /**
   * 计划开始时间
   */
  planBeginTime: string;

  /**
   * 计划结束时间
   */
  planEndTime: string;

  /**
   * 开始时间
   */
  realBeginTime: string;

  /**
   * 完成时间
   */
  realEndTime: string;

  /**
   * 订单状态（0待发布 1已发布 2已完成 3已开始 4暂停 8已撤回 9已删除）
   */
  orderStatus: string;

  /**
   * 库存锁定标识（1是 0否）
   */
  stockLockFlag: string;

  /**
   * 前置生产订单ID
   */
  preOrderId: string | number;

  /**
   * 前置订单编号
   */
  preOrderCode: string;

  /**
   * 完成标识（0正常 1降级 2超额）
   */
  finishFlag: string;

  /**
   * 是否已下达工单（1是 0否）
   */
  releaseFlag: string;

  /**
   * 订单版本
   */
  orderVersion: string;

  /**
   * 工厂ID
   */
  factoryId: string | number;

  /**
   * 备注
   */
  remark: string;

}

export interface OrderInfoForm extends BaseEntity {
  /**
   * 主键标识
   */
  productOrderId?: string | number;

  /**
   * 订单编号
   */
  orderCode?: string;

  /**
   * 销售订单ID
   */
  saleOrderId?: string | number;

  /**
   * 项目编号
   */
  projectNo?: string;

  /**
   * 订单类型（1外部销售 2对内生产)
   */
  orderType?: string;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 物料BOM_ID;默认选择最新的正常状态的bom，可修改
   */
  materialBomId?: string | number;

  /**
   * 派工类型(1产线 2工艺路线 3工序)
   */
  dispatchType?: string;

  /**
   * 派工ID;（派工类型为产线关联产线主键，派工类型为工艺路线关联工艺路线主键）
   */
  dispatchId?: string | number;

  /**
   * 销售数量;销售订单的销售数量，如果无订单则需要输入
   */
  saleAmount?: number;

  /**
   * 计划交货日期
   */
  planDeliveryDate?: string;

  /**
   * 计划数量
   */
  planAmount?: number;

  /**
   * 已派工数量;派工类型是工艺路线的每个工位派工数量相同，派工类型是产线的派工数量是所有工位累加的
   */
  dispatchAmount?: number;

  /**
   * 完成数量
   */
  completeAmount?: number;

  /**
   * 发布时间
   */
  releaseTime?: string;

  /**
   * 计划开始时间
   */
  planBeginTime?: string;

  /**
   * 计划结束时间
   */
  planEndTime?: string;

  /**
   * 开始时间
   */
  realBeginTime?: string;

  /**
   * 完成时间
   */
  realEndTime?: string;

  /**
   * 订单状态（0待发布 1已发布 2已完成 3已开始 4暂停 8已撤回 9已删除）
   */
  orderStatus?: string;

  /**
   * 库存锁定标识（1是 0否）
   */
  stockLockFlag?: string;

  /**
   * 前置生产订单ID
   */
  preOrderId?: string | number;

  /**
   * 前置订单编号
   */
  preOrderCode?: string;

  /**
   * 完成标识（0正常 1降级 2超额）
   */
  finishFlag?: string;

  /**
   * 是否已下达工单（1是 0否）
   */
  releaseFlag?: string;

  /**
   * 订单版本
   */
  orderVersion?: string;

  /**
   * 工厂ID
   */
  factoryId?: string | number;

  /**
   * 备注
   */
  remark?: string;

}

export interface OrderInfoQuery extends PageQuery {

  /**
   * 主键标识
   */
  productOrderId?: string | number;

  /**
   * 订单编号
   */
  orderCode?: string;

  /**
   * 销售订单ID
   */
  saleOrderId?: string | number;

  /**
   * 项目编号
   */
  projectNo?: string;

  /**
   * 订单类型（1外部销售 2对内生产)
   */
  orderType?: string;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 物料BOM_ID;默认选择最新的正常状态的bom，可修改
   */
  materialBomId?: string | number;

  /**
   * 派工类型(1产线 2工艺路线 3工序)
   */
  dispatchType?: string;

  /**
   * 派工ID;（派工类型为产线关联产线主键，派工类型为工艺路线关联工艺路线主键）
   */
  dispatchId?: string | number;

  /**
   * 销售数量;销售订单的销售数量，如果无订单则需要输入
   */
  saleAmount?: number;

  /**
   * 计划交货日期
   */
  planDeliveryDate?: string;

  /**
   * 计划数量
   */
  planAmount?: number;

  /**
   * 已派工数量;派工类型是工艺路线的每个工位派工数量相同，派工类型是产线的派工数量是所有工位累加的
   */
  dispatchAmount?: number;

  /**
   * 完成数量
   */
  completeAmount?: number;

  /**
   * 发布时间
   */
  releaseTime?: string;

  /**
   * 计划开始时间
   */
  planBeginTime?: string;

  /**
   * 计划结束时间
   */
  planEndTime?: string;

  /**
   * 开始时间
   */
  realBeginTime?: string;

  /**
   * 完成时间
   */
  realEndTime?: string;

  /**
   * 订单状态（0待发布 1已发布 2已完成 3已开始 4暂停 8已撤回 9已删除）
   */
  orderStatus?: string;

  /**
   * 库存锁定标识（1是 0否）
   */
  stockLockFlag?: string;

  /**
   * 前置生产订单ID
   */
  preOrderId?: string | number;

  /**
   * 前置订单编号
   */
  preOrderCode?: string;

  /**
   * 完成标识（0正常 1降级 2超额）
   */
  finishFlag?: string;

  /**
   * 是否已下达工单（1是 0否）
   */
  releaseFlag?: string;

  /**
   * 订单版本
   */
  orderVersion?: string;

  /**
   * 工厂ID
   */
  factoryId?: string | number;

  /**
   * 日期范围参数
   */
  params?: any;
}



