export interface InventoryVO {
  /**
   * 表主键
   */
  inventoryId: string | number;

  /**
   * 批次码
   */
  batchCode: string;

  /**
   * 物料id
   */
  materialId: string | number;

  /**
   * 库位编码
   */
  locationCode: string;

  /**
   * 物料大类
   */
  materialCategories: number;

  /**
   * 库存数量
   */
  inventoryQty: number;

  /**
   * 锁定状态（0未锁定，1锁定）
   */
  lockState: string;

  /**
   * 库存状态（0库存归0，1正常）
   */
  inventoryStatus: string;

  /**
   * 仓库ID
   */
  storeId: string | number;

}

export interface InventoryForm extends BaseEntity {
  /**
   * 表主键
   */
  inventoryId?: string | number;

  /**
   * 批次码
   */
  batchCode?: string;

  /**
   * 物料id
   */
  materialId?: string | number;

  /**
   * 库位编码
   */
  locationCode?: string;

  /**
   * 物料大类
   */
  materialCategories?: number;

  /**
   * 库存数量
   */
  inventoryQty?: number;

  /**
   * 锁定状态（0未锁定，1锁定）
   */
  lockState?: string;

  /**
   * 库存状态（0库存归0，1正常）
   */
  inventoryStatus?: string;

  /**
   * 仓库ID
   */
  storeId?: string | number;

}

export interface InventoryQuery extends PageQuery {

  /**
   * 表主键
   */
  inventoryId?: string | number;

  /**
   * 批次码
   */
  batchCode?: string;

  /**
   * 物料id
   */
  materialId?: string | number;

  /**
   * 库位编码
   */
  locationCode?: string;

  /**
   * 物料大类
   */
  materialCategories?: number;

  /**
   * 库存数量
   */
  inventoryQty?: number;

  /**
   * 锁定状态（0未锁定，1锁定）
   */
  lockState?: string;

  /**
   * 库存状态（0库存归0，1正常）
   */
  inventoryStatus?: string;

  /**
   * 仓库ID
   */
  storeId?: string | number;

    /**
     * 日期范围参数
     */
    params?: any;
}



