export interface InventoryCheckVO {
  /**
   * 表主键
   */
  inventoryCheckId: string | number;

  /**
   * 盘点单号
   */
  checkCode: string;

  /**
   * 物料大类
   */
  materialCategories: string;

  /**
   * 计划仓库ID
   */
  planWarehouseId: string | number;

  /**
   * 盘点类型（1全部，2货架，3物料））
   */
  checkType: string;

  /**
   * 盘点状态（0计划，2盘点中，3盘点完成）
   */
  checkStatus: string;

  /**
   * 审核人
   */
  auditBy: string;

  /**
   * 审核时间
   */
  auditTime: string;

  /**
   * 审核状态(0待审核,1审核通过,2审核未通过)
   */
  auditStatus: string;

  /**
   * 审核意见
   */
  auditComments: string;

  /**
   * 开始时间
   */
  beginTime: string;

  /**
   * 结束时间
   */
  endTime: string;

}

export interface InventoryCheckForm extends BaseEntity {
  /**
   * 表主键
   */
  inventoryCheckId?: string | number;

  /**
   * 盘点单号
   */
  checkCode?: string;

  /**
   * 物料大类
   */
  materialCategories?: string;

  /**
   * 计划仓库ID
   */
  planWarehouseId?: string | number;

  /**
   * 盘点类型（1全部，2货架，3物料））
   */
  checkType?: string;

  /**
   * 盘点状态（0计划，2盘点中，3盘点完成）
   */
  checkStatus?: string;

  /**
   * 审核人
   */
  auditBy?: string;

  /**
   * 审核时间
   */
  auditTime?: string;

  /**
   * 审核状态(0待审核,1审核通过,2审核未通过)
   */
  auditStatus?: string;

  /**
   * 审核意见
   */
  auditComments?: string;

  /**
   * 开始时间
   */
  beginTime?: string;

  /**
   * 结束时间
   */
  endTime?: string;

}

export interface InventoryCheckQuery extends PageQuery {

  /**
   * 表主键
   */
  inventoryCheckId?: string | number;

  /**
   * 盘点单号
   */
  checkCode?: string;

  /**
   * 物料大类
   */
  materialCategories?: string;

  /**
   * 计划仓库ID
   */
  planWarehouseId?: string | number;

  /**
   * 盘点类型（1全部，2货架，3物料））
   */
  checkType?: string;

  /**
   * 盘点状态（0计划，2盘点中，3盘点完成）
   */
  checkStatus?: string;

  /**
   * 审核人
   */
  auditBy?: string;

  /**
   * 审核时间
   */
  auditTime?: string;

  /**
   * 审核状态(0待审核,1审核通过,2审核未通过)
   */
  auditStatus?: string;

  /**
   * 审核意见
   */
  auditComments?: string;

  /**
   * 开始时间
   */
  beginTime?: string;

  /**
   * 结束时间
   */
  endTime?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



